MaxPlayers <- MaxClients().tointeger()
InputShow <- function () {
	local team = self.GetTeam()
	local origin = self.GetOrigin()
	local parent = self.GetMoveParent()
	local targets = 0
	if (team != 0) {
		for (local i = 1; i <= MaxPlayers; i++) {
			local player = PlayerInstanceFromIndex(i)
			if (player && player.GetTeam() == team) {
				if (!parent || parent != NetProps.GetPropEntity(player, "m_hItem")) {
					targets = targets | (1 << i)
				}
			}
		}
	}
	if (team == 0 || targets != 0) {
		SendGlobalGameEvent("show_annotation", {
			text = NetProps.GetPropString(self, "m_displayText")
			id = self.entindex()
			worldPosX = origin.x
			worldPosY = origin.y
			worldPosZ = origin.z + NetProps.GetPropFloat(self, "m_flVerticalOffset")
			lifetime = NetProps.GetPropFloat(self, "m_flLifetime")
			visibilityBitfield = targets
			follow_entindex = parent ? parent.entindex() : 0
		})
	}
	return false
}
InputHide <- function () {
	SendGlobalGameEvent("hide_annotation", {
		id = self.entindex()
	})
	return false
}
Inputshow <- InputShow
Inputhide <- InputHide
